.chat-container {

  display: flex;
  max-height: 100vh;
  flex-direction: column;
  .chat-window {
    position: relative;
    height: 60vh;
    flex: 1;
    overflow-y: auto;
    border: 1px solid black; /////////////////////TODO

    .chat-item {
      position: relative;
      margin: 20px 0;
      padding: 0 50px 0 10%;
      .chat-item-user {
        position: absolute;
        top: 100%;
        left: 0;
        margin-top: -50px;
        overflow: hidden;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        border: 2px solid #FFF;
        box-shadow: -1px 3px 6px -2px rgba(0, 0, 0, .5);
        background: #999;
        vertical-align: middle;
        z-index: 10;
        .chat-user-photo {
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          border-radius: 50%;
        }

      }
      .chat-text-container {
        display: inline-block;
        position: relative;

        padding: 7px 20px;
        border-radius: 20px;
        background: #ebebeb;
        vertical-align: middle;
        font-size: 14px;
        color: #FFF;
        //text-shadow: 0 1px rgba(0,0,0,.5);
        text-align: left;
        .chat-text-date {
          float: right;
          margin: 0 0 0 10px;
          color: #c2c2c2;
          font-weight: normal;
        }
        .chat-text {
          overflow: hidden;
          margin: 0 5em 0 0;
          white-space: normal;
          color: #929292;
        }
        &.current-user{
          background: #e1e1e1;
          span.glyphicon{
            float: right;
            padding-left: 5px;
            color: #6ba978;
            font-size: 1em;
            cursor: pointer;
          }
        }
      }
      &.current-user {
        text-align: right;
        padding: 0 10% 0 50px;
        .chat-item-user {
          left: auto;
          right: 0;
        }
      }
    }
  }
  .chat-message-container {
    margin-top: 10px;
    height: @chat-line;
    textarea, button {
      height: inherit;
    }
    .input-group[class*=col-]{
      float: left;
      height: inherit;
      textarea {
        resize: none;
      }
    }


  }
}